@echo off
rem This script allows to start ATG Dynamo 4.5 and 5.1 for profiling with OptimizeIt.
rem It should be completed before use.
rem See the tutorial 'Profiling with Dynamo' for more information.

rem Specify here the path to OptimizeIt directory
set OPTITDIR=

rem Specify here the path to the directory of the virtual machine you want to use
rem Leave this field empty if you want to use the default Dynamo JDK
set JAVAHOME=

rem Set that property to true if you are using the JDK 1.3.1 and you want to use hotspot
set USEHOTSPOT=false

rem Increase the GCOP value if you get some "GCOP buffer too small" errors (size is in Mb)
set GCOPSIZE=4

rem You should not modify anything below this line
rem  --------------------------------------------------------------------------------

if NOT "%JAVAHOME%"=="" goto processJavaHome
echo No JAVAHOME specified, using the default JDK for Dynamo.
set JAVA_VM=
goto processOptItDir

:processJavaHome
set JAVA_VM=%JAVAHOME%\bin\java.exe
if exist %JAVA_VM% goto processOptItDir
set JAVA_VM=%JAVAHOME%\bin\jre.exe
set CLASSPATH=%CLASSPATH%;%JAVAHOME%\lib\rt.jar
if exist %JAVA_VM% goto processOptItDir
echo Could not find any java.exe or jre.exe under the directory
echo %JAVAHOME%
echo Using the default JDK
echo Make sure to specify a correct JAVAHOME in the script dynamo_OptIt.bat if you want to use another JDK
set JAVA_VM=

:processOptItDir
if exist %OPTITDIR%\lib\optit.jar goto processClassPath
echo Cannot find the OptimizeIt library optit.jar under the directory:
echo %OPTITDIR%
echo Please make sure to specify a correct OPTITDIR in the script dynamo_OptIt.bat
pause
goto end

:processClassPath
set CLASSPATH=%CLASSPATH%;%OPTITDIR%\lib\optit.jar

set PATH=%PATH%;%OPTITDIR%\lib

set JAVA_ARGS=

if not "%GCOPSIZE%"=="" set JAVA_ARGS=-DGCOPSIZE=%GCOPSIZE%

if "%JAVA_VM%"=="" goto jdk12

%JAVA_VM% -X 1> nul 2>&1 
if "%ERRORLEVEL%"=="1" goto :jdk11

:jdk12
set JAVA_ARGS=-Xnoclassgc -Xrunoii %JAVA_ARGS%
if not "%USEHOTSPOT%"=="true" set JAVA_ARGS=%JAVA_ARGS% -Djava.compiler=NONE

if "%JAVA_VM%"=="" goto startDynamo
if "%USEHOTSPOT%"=="true" goto startDynamo
%JAVA_VM% -classic -version 1> nul 2>&1
if "%ERRORLEVEL%"=="0" set JAVA_VM=%JAVA_VM% -classic

goto startDynamo

:jdk11
set JAVA_ARGS=-noclassgc -Djava.compiler=NONE -DOPTITDIR=%OPTITDIR% %JAVA_ARGS%

:startDynamo
call startDynamo.bat %1 %2 %3

:end
